package com.yonge.cooleshow.api.feign;

import com.yonge.cooleshow.api.feign.fallback.AdminFeignServiceFallback;
import com.yonge.cooleshow.common.constant.AppConstant;
import com.yonge.toolset.feign.config.FeignConfiguration;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(name = AppConstant.APPLICATION_TENANT + AppConstant.SERVER, configuration = FeignConfiguration.class,
        fallback = AdminFeignServiceFallback.class)
public interface TenantFeignService {

    //机构人员汇总
    @GetMapping(value = "/task/tenantPersonStat")
    void tenantPersonStat();
}
