package com.yonge.cooleshow.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yonge.cooleshow.biz.dal.entity.ImUserFriend;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户通讯录表(ImUserFriend)表数据库访问层
 *
 * @author zx
 * @since 2022-03-22 10:45:59
 */
public interface ImUserFriendDao extends BaseMapper<ImUserFriend> {

    int insertBatch(@Param("entities") List<ImUserFriend> entities);

    ImUserFriend findByUserIdAndFriendId(@Param("userId") Long userId, @Param("friendId") Long friendId);

    void delFriendByTenantId(@Param("tenantId") Long tenantId,@Param("userId") Long userId ,
                             @Param("clientType") String clientType);
}

