package com.yonge.cooleshow.biz.dal.wrapper.course;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

public class CourseScheduleWrapper {



    @Data
    public static class LiveRoomTime implements Serializable {

        @ApiModelProperty(value = "直播间房间号")
        private String liveRoomUid;

        @ApiModelProperty(value = "声部ID")
        private String subjectId;
        @ApiModelProperty(value ="直播延长时间")
        private String autoCloseNetworkRoomTime = "0";
        @ApiModelProperty("服务器时间 毫秒")
        private long timestamp;

        @ApiModelProperty("直播时间")
        private List<CourseTimeInfoBean> courseScheduleTimes;
    }

    @Data
    public static class CourseTimeInfoBean {

        @ApiModelProperty(value = "开始时间")
        private long startTime;

        @ApiModelProperty("结束时间")
        private long endTime;
    }
}
